Bug 37708 - FILESAVE FILEOPEN Writer converting .ott to rtf does not preserve text fields
Summary: FILESAVE FILEOPEN Writer converting .ott to rtf does not preserve text fields
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-28 23:19 UTC by Christopher M. Penalver
Modified: 2012-03-19 21:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Vorlage Brief.ott (11.19 KB, application/vnd.oasis.opendocument.text-template)
2011-05-28 23:19 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-28 23:19:24 UTC
Created attachment 47262 [details]
Vorlage Brief.ott

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/211345

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/211345/+attachment/253514/+files/Vorlage%20Brief.ott && unoconv --listener && unoconv -f rtf Vorlage\ Brief.ott && lowriter -nologo Vorlage\ Brief.ott Vorlage\ Brief.rtf

the text fields remain.

4) What happens instead is they disappear.
Comment 1 Jean-Baptiste Faure 2011-12-17 16:34:58 UTC
Is RTF format able to handle such kind of text fields (placeholders)?
Abiword (2.5.8 under Ubuntu) save the name of the placeholder between < and >. 
LO should do the same if placeholders are not supported by RTF, instead of removing it.

Best regards. JBF
Comment 2 Björn Michaelsen 2011-12-23 12:01:48 UTC Comment hidden (obsolete)
Comment 3 Christopher M. Penalver 2012-01-03 14:59:45 UTC
Problem reproducible in:
LOdev 3.5.0beta2
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 4 Jean-Baptiste Faure 2012-03-18 22:37:12 UTC
Tested with LO 3.5.1. Now LO seems to do the same as Abiword, it save the name of the placeholder.
@Christopher : Please could you verify on your side ? 
If it is correct, I suggest to close this bug report as fixed.

Best regards. JBF
Comment 5 Christopher M. Penalver 2012-03-19 15:20:44 UTC
Jean-Baptiste Faure, fixed in:

lsb_release -rd
Description:    Ubuntu precise (development branch)
Release:    12.04

LibreOffice 3.5.1.2
Build ID: dc9775d-05ecbee-0851ad3-1586698-727bf66
Comment 6 Jean-Baptiste Faure 2012-03-19 21:59:13 UTC
Thank you. Closing.